Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Interface SMILConstants

All Known Implementing Classes:
  SVGAnimationElementBridge.SVGTimedElement, SVGAnimationEngine.AnimationRoot, TimeContainer, TimedDocumentRoot, TimedElement

    public interface SMILConstants

Constants for SMIL animation element and attribute names and values.

Field Summary
`static String` | `SMIL_ACCUMULATE_ATTRIBUTE`
`static String` | `SMIL_ADDITIVE_ATTRIBUTE`
`static String` | `SMIL_ALWAYS_VALUE`
`static String` | `SMIL_ANIMATE_COLOR_TAG`
`static String` | `SMIL_ANIMATE_MOTION_TAG`
`static String` | `SMIL_ANIMATE_TAG`
`static String` | `SMIL_ATTRIBUTE_NAME_ATTRIBUTE`
`static String` | `SMIL_ATTRIBUTE_TYPE_ATTRIBUTE`
`static String` | `SMIL_AUTO_VALUE`
`static String` | `SMIL_BEGIN_ATTRIBUTE`
`static String` | `SMIL_BEGIN_DEFAULT_VALUE`
`static String` | `SMIL_BEGIN_EVENT_NAME`
`static String` | `SMIL_BY_ATTRIBUTE`
`static String` | `SMIL_CALC_MODE_ATTRIBUTE`
`static String` | `SMIL_CSS_VALUE`
`static String` | `SMIL_DEFAULT_VALUE`
`static String` | `SMIL_DISCRETE_VALUE`
`static String` | `SMIL_DUR_ATTRIBUTE`
`static String` | `SMIL_END_ATTRIBUTE`
`static String` | `SMIL_END_EVENT_NAME`
`static String` | `SMIL_FILL_ATTRIBUTE`
`static String` | `SMIL_FREEZE_VALUE`
`static String` | `SMIL_FROM_ATTRIBUTE`
`static String` | `SMIL_HOLD_VALUE`
`static String` | `SMIL_INDEFINITE_VALUE`
`static String` | `SMIL_KEY_POINTS_ATTRIBUTE`
`static String` | `SMIL_KEY_SPLINES_ATTRIBUTE`
`static String` | `SMIL_KEY_TIMES_ATTRIBUTE`
`static String` | `SMIL_LINEAR_VALUE`
`static String` | `SMIL_MAX_ATTRIBUTE`
`static String` | `SMIL_MEDIA_VALUE`
`static String` | `SMIL_MIN_ATTRIBUTE`
`static String` | `SMIL_NEVER_VALUE`
`static String` | `SMIL_NONE_VALUE`
`static String` | `SMIL_ORIGIN_ATTRIBUTE`
`static String` | `SMIL_PACED_VALUE`
`static String` | `SMIL_PATH_ATTRIBUTE`
`static String` | `SMIL_REMOVE_VALUE`
`static String` | `SMIL_REPEAT_COUNT_ATTRIBUTE`
`static String` | `SMIL_REPEAT_DUR_ATTRIBUTE`
`static String` | `SMIL_REPEAT_EVENT_ALT_NAME`
`static String` | `SMIL_REPEAT_EVENT_NAME`
`static String` | `SMIL_REPLACE_VALUE`
`static String` | `SMIL_RESTART_ATTRIBUTE`
`static String` | `SMIL_SET_TAG`
`static String` | `SMIL_SPLINE_VALUE`
`static String` | `SMIL_SUM_VALUE`
`static String` | `SMIL_TO_ATTRIBUTE`
`static String` | `SMIL_VALUES_ATTRIBUTE`
`static String` | `SMIL_WHEN_NOT_ACTIVE_VALUE`
`static String` | `SMIL_XML_VALUE`

Field Detail

### SMIL_ANIMATE_TAG

    static final String SMIL_ANIMATE_TAG

See Also:
  Constant Field Values

### SMIL_ANIMATE_COLOR_TAG

    static final String SMIL_ANIMATE_COLOR_TAG

See Also:
  Constant Field Values

### SMIL_ANIMATE_MOTION_TAG

    static final String SMIL_ANIMATE_MOTION_TAG

See Also:
  Constant Field Values

### SMIL_SET_TAG

    static final String SMIL_SET_TAG

See Also:
  Constant Field Values

### SMIL_ACCUMULATE_ATTRIBUTE

    static final String SMIL_ACCUMULATE_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_ADDITIVE_ATTRIBUTE

    static final String SMIL_ADDITIVE_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_ATTRIBUTE_NAME_ATTRIBUTE

    static final String SMIL_ATTRIBUTE_NAME_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_ATTRIBUTE_TYPE_ATTRIBUTE

    static final String SMIL_ATTRIBUTE_TYPE_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_BEGIN_ATTRIBUTE

    static final String SMIL_BEGIN_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_BY_ATTRIBUTE

    static final String SMIL_BY_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_CALC_MODE_ATTRIBUTE

    static final String SMIL_CALC_MODE_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_DUR_ATTRIBUTE

    static final String SMIL_DUR_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_END_ATTRIBUTE

    static final String SMIL_END_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_FILL_ATTRIBUTE

    static final String SMIL_FILL_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_KEY_POINTS_ATTRIBUTE

    static final String SMIL_KEY_POINTS_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_KEY_SPLINES_ATTRIBUTE

    static final String SMIL_KEY_SPLINES_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_KEY_TIMES_ATTRIBUTE

    static final String SMIL_KEY_TIMES_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_FROM_ATTRIBUTE

    static final String SMIL_FROM_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_ORIGIN_ATTRIBUTE

    static final String SMIL_ORIGIN_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_MAX_ATTRIBUTE

    static final String SMIL_MAX_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_MIN_ATTRIBUTE

    static final String SMIL_MIN_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_PATH_ATTRIBUTE

    static final String SMIL_PATH_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_REPEAT_COUNT_ATTRIBUTE

    static final String SMIL_REPEAT_COUNT_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_REPEAT_DUR_ATTRIBUTE

    static final String SMIL_REPEAT_DUR_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_RESTART_ATTRIBUTE

    static final String SMIL_RESTART_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_TO_ATTRIBUTE

    static final String SMIL_TO_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_VALUES_ATTRIBUTE

    static final String SMIL_VALUES_ATTRIBUTE

See Also:
  Constant Field Values

### SMIL_ALWAYS_VALUE

    static final String SMIL_ALWAYS_VALUE

See Also:
  Constant Field Values

### SMIL_AUTO_VALUE

    static final String SMIL_AUTO_VALUE

See Also:
  Constant Field Values

### SMIL_CSS_VALUE

    static final String SMIL_CSS_VALUE

See Also:
  Constant Field Values

### SMIL_DEFAULT_VALUE

    static final String SMIL_DEFAULT_VALUE

See Also:
  Constant Field Values

### SMIL_DISCRETE_VALUE

    static final String SMIL_DISCRETE_VALUE

See Also:
  Constant Field Values

### SMIL_FREEZE_VALUE

    static final String SMIL_FREEZE_VALUE

See Also:
  Constant Field Values

### SMIL_HOLD_VALUE

    static final String SMIL_HOLD_VALUE

See Also:
  Constant Field Values

### SMIL_INDEFINITE_VALUE

    static final String SMIL_INDEFINITE_VALUE

See Also:
  Constant Field Values

### SMIL_LINEAR_VALUE

    static final String SMIL_LINEAR_VALUE

See Also:
  Constant Field Values

### SMIL_MEDIA_VALUE

    static final String SMIL_MEDIA_VALUE

See Also:
  Constant Field Values

### SMIL_NEVER_VALUE

    static final String SMIL_NEVER_VALUE

See Also:
  Constant Field Values

### SMIL_NONE_VALUE

    static final String SMIL_NONE_VALUE

See Also:
  Constant Field Values

### SMIL_PACED_VALUE

    static final String SMIL_PACED_VALUE

See Also:
  Constant Field Values

### SMIL_REMOVE_VALUE

    static final String SMIL_REMOVE_VALUE

See Also:
  Constant Field Values

### SMIL_REPLACE_VALUE

    static final String SMIL_REPLACE_VALUE

See Also:
  Constant Field Values

### SMIL_SPLINE_VALUE

    static final String SMIL_SPLINE_VALUE

See Also:
  Constant Field Values

### SMIL_SUM_VALUE

    static final String SMIL_SUM_VALUE

See Also:
  Constant Field Values

### SMIL_WHEN_NOT_ACTIVE_VALUE

    static final String SMIL_WHEN_NOT_ACTIVE_VALUE

See Also:
  Constant Field Values

### SMIL_XML_VALUE

    static final String SMIL_XML_VALUE

See Also:
  Constant Field Values

### SMIL_BEGIN_DEFAULT_VALUE

    static final String SMIL_BEGIN_DEFAULT_VALUE

See Also:
  Constant Field Values

### SMIL_BEGIN_EVENT_NAME

    static final String SMIL_BEGIN_EVENT_NAME

See Also:
  Constant Field Values

### SMIL_END_EVENT_NAME

    static final String SMIL_END_EVENT_NAME

See Also:
  Constant Field Values

### SMIL_REPEAT_EVENT_NAME

    static final String SMIL_REPEAT_EVENT_NAME

See Also:
  Constant Field Values

### SMIL_REPEAT_EVENT_ALT_NAME

    static final String SMIL_REPEAT_EVENT_ALT_NAME

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.